CSFML 3.0.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sfBlendMode Struct Reference

Blending mode for drawing. More...

`#include <CSFML/Graphics/BlendMode.h>`

## Public Attributes
sfBlendFactor | colorSrcFactor
| Source blending factor for the color channels.
sfBlendFactor | colorDstFactor
| Destination blending factor for the color channels.
sfBlendEquation | colorEquation
| Blending equation for the color channels.
sfBlendFactor | alphaSrcFactor
| Source blending factor for the alpha channel.
sfBlendFactor | alphaDstFactor
| Destination blending factor for the alpha channel.
sfBlendEquation | alphaEquation
| Blending equation for the alpha channel.

## Detailed Description

Blending mode for drawing.

Definition at line 70 of file BlendMode.h.

## Member Data Documentation

## ◆ alphaDstFactor

sfBlendFactor sfBlendMode::alphaDstFactor

Destination blending factor for the alpha channel.

Definition at line 76 of file BlendMode.h.

## ◆ alphaEquation

sfBlendEquation sfBlendMode::alphaEquation

Blending equation for the alpha channel.

Definition at line 77 of file BlendMode.h.

## ◆ alphaSrcFactor

sfBlendFactor sfBlendMode::alphaSrcFactor

Source blending factor for the alpha channel.

Definition at line 75 of file BlendMode.h.

## ◆ colorDstFactor

sfBlendFactor sfBlendMode::colorDstFactor

Destination blending factor for the color channels.

Definition at line 73 of file BlendMode.h.

## ◆ colorEquation

sfBlendEquation sfBlendMode::colorEquation

Blending equation for the color channels.

Definition at line 74 of file BlendMode.h.

## ◆ colorSrcFactor

sfBlendFactor sfBlendMode::colorSrcFactor

Source blending factor for the color channels.

Definition at line 72 of file BlendMode.h.

The documentation for this struct was generated from the following file:

- BlendMode.h